/**
 *
 *  Copyright 2004 Jeremy Boynes
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.ejb;

import org.tranql.cache.InTxCache;
import org.tranql.field.Row;
import org.tranql.ql.Query;
import org.tranql.ql.QueryException;
import org.tranql.query.UpdateCommand;

/**
 * 
 * 
 * @version $Revision: 51 $ $Date: 2004-04-20 23:21:25 -0400 (Tue, 20 Apr 2004) $
 */
public class EJBUpdateCommand implements UpdateCommand {
    private final Query query;

    public EJBUpdateCommand(Query query) {
        this.query = query;
    }

    public Query getQuery() {
        return query;
    }

    public int execute(InTxCache cache, Row params) throws QueryException {
        throw new UnsupportedOperationException();
    }
}
