/**
 *
 *  Copyright 2004 Jeremy Boynes
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.query;

import org.tranql.field.Row;
import org.tranql.ql.QueryException;

/**
 * 
 * 
 * @version $Revision: 188 $ $Date: 2005-07-03 06:07:58 -0400 (Sun, 03 Jul 2005) $
 */
public interface ResultHandler {
    Object fetched(Row row, Object arg) throws QueryException;
    Object endFetched(Object arg) throws QueryException;
}
