/**
 *
 *  Copyright 2005 Matt Hogstrom
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.tranql.sql.db2;

import javax.sql.DataSource;

import org.tranql.query.CommandFactory;
import org.tranql.sql.DBSyntaxFactory;


/**
 *
 * @version $Revision: 281 $ $Date: 2005-10-14 15:03:01 -0400 (Fri, 14 Oct 2005) $
 */
public class DB2DBSyntaxFactory implements DBSyntaxFactory {

    public CommandFactory getDatabaseSyntax(DataSource ds) {
        return new DB2Generator(ds);
    }
    
}
